#ifndef MUSIC_MODULE_H_
#define MUSIC_MODULE_H_

#include "upkg.h"

struct music_mod;

/* Initialize the module decoding system. */
int music_mod_init(void);
/* Shutdown the module decoding system. */
void music_mod_exit(void);

struct music_mod *music_mod_open(struct upkg_file *f);
void music_mod_close(struct music_mod *mod);
int music_mod_dump(struct music_mod *mod, FILE *of);

const char *music_mod_type(struct music_mod *mod);

#endif
